commit ac34de574fe4974db48348178ab3e7f94f01e9fa
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Nov 11 01:27:20 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 899b2447429..ec9c881720a 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,24 @@
+2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/118460
+	* config/arm/arm.md (movhfcc): Use expandable_comparison_operator.
+	(movsfcc, movdfcc): Likewise.
+
+2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2025-10-15  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/118460
+	* config/arm/arm.cc (arm_canonicalize_comparison): For floating-
+	point comparisons, swap the operand order if that will be more
+	likely to produce a comparison that can be used with VSEL.
+	(arm_validize_comparison): Make sure that HFmode comparisons
+	are compatible with VSEL.
+
 2025-11-06  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7d2de7ae2a3..3b87aac7e74 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251110
+20251111
diff --git a/gcc/po/ChangeLog b/gcc/po/ChangeLog
index 77277a5341a..afabef54fa8 100644
--- a/gcc/po/ChangeLog
+++ b/gcc/po/ChangeLog
@@ -1,3 +1,7 @@
+2025-11-10  Joseph Myers  <josmyers@redhat.com>
+
+	* es.po: Update.
+
 2025-08-24  Joseph Myers  <josmyers@redhat.com>
 
 	* de.po: Update.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b0478074412..fea1e7fb2a6 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
+
+	Backported from master:
+	2025-10-15  Richard Earnshaw  <rearnsha@arm.com>
+
+	PR target/118460
+	* gcc.target/arm/armv8_2-fp16-move-1.c: Adjust expected output.
+	* gcc.target/arm/armv8_2-fp16-move-2.c: Likewise.
+
 2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:

